use inc::Module::Install;

name	'write-ecf-fits';
license 'gpl3';

install_script 'src/write-ecf-fits';

all_from 'src/write-ecf-fits';
license 'gpl3';

perl_version '5.010';

requires 'PDL';
requires 'PDL::IO::RDB';
requires 'Astro::FITS::CFITSIO::Simple';
requires 'Data::Alias';
requires 'Util::Any';
requires 'Params::Validate';
requires 'RDB';
requires 'Regexp::Common';
requires 'Getopt::ArgvFile';
requires 'Getopt::Long::Descriptive';
requires 'Moo';
requires 'Try::Tiny';
requires 'Readonly';
requires 'Tie::IxHash';
requires 'autovivification';

build_requires 'Test::More';
build_requires 'Test::Compile';
build_requires 'Test::Exception';
build_requires 'Fennec::Lite';

auto_license( holder => "Smithsonian Astrophysical Observatory" );
auto_manifest;

template_install_path;
use_standard_tests( without => qw[ pod_coverage ] );

WriteAll;

