#! perl

# --8<--8<--8<--8<--
#
# Copyright (C) 2011 Smithsonian Astrophysical Observatory
#
# This file is part of write-ecf-fits
#
# write-ecf-fits is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -->8-->8-->8-->8--

use 5.10.0;

use strict;
use warnings;

package WECF::Datum::Bounds;

our $VERSION = '2.0.0';

use Moo;

extends 'WECF::Datum';

has delta => ( is => 'ro',
	       lazy => 1,
	       builder => '_build_delta'
	     );

has base => ( is => 'ro',
	      required => 1,
	      clearer => '_clear_base'
	    );

sub resolve {

    my $self = shift;

    return $self->apply_delta( @_ );

}

sub apply_delta {

    my ( $self, $datum ) = @_;

    return $datum->base + $self->delta;
}

1;
