#! perl

# --8<--8<--8<--8<--
#
# Copyright (C) 2011 Smithsonian Astrophysical Observatory
#
# This file is part of write-ecf-fits
#
# write-ecf-fits is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -->8-->8-->8-->8--

use 5.10.0;

use strict;
use warnings;

package WECF::Datum::Bounds::Fraction;

our $VERSION = '2.0.0';

use Moo;

extends 'WECF::Datum';

has base => ( is => 'ro',
	      required => 1,
	      clearer => '_clear_base'
	    );

sub BUILD {

    my $self = shift;

    my $base = $self->base;

    $self->_clear_base;

    $self->_value( $self->data * $base );

    $self->_clear_data;
}


1;
