#! perl

use PDL;
use PDL::IO::RDB qw[ rdrdb ];

sub read_fiducial {

    my ( $file ) = @_;

    my %data = rdrdb( $file );

    my @cols = keys %data;

    # filter data if required
    @data{@cols} = where( @data{@cols}, $data{real_fit} == 2 )
      if exists $data{real_fit};

    # and now sort it by ecf
    my $idx = $data{ecf}->qsorti;
    $_ =  $_->index($idx)->sever foreach values %data;

    return %data;
}

1;
